%define name etm
%define version 891
%define release %mkrel 2

Summary: Event and Task Manager
Summary(de): Ereignis- und Aufgabenmanager
Name: %{name}
Version: %{version}
Release: %{release}
Group: Office
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.duke.edu/~dgraham/ETM/
Source0: http://www.duke.edu/~dgraham/ETM/%{name}-%version.tar.xz
License: GPL
BuildArch: noarch
BuildRequires: python-setuptools 
BuildRequires: python-devel
Requires: python >= 2.5
Requires: pygtk2.0
Requires: python-dateutil
Requires: wxPythonGTK
Obsoletes: %name < %version


%description
etm is an acronym for Event and Task Manager. It provides a format for using simple text files 
to store event, task and action information, a command line interface for viewing tasks and 
events in a variety of convenient ways and a wx(Python)-based GUI for creating and modifying 
events and tasks as well as viewing them. Flexible time reports are supported as well as 
busy/free time reports. Alarms are supported for events and repetition for both events 
and tasks in a powerful and flexible manner.

%description -l de
etm ist ein Akronym für Event and Task Manager (Ereignis- und Aufgabenmanager). Es bietet
ein Format zur Nutzung von einfachen Textdateien zum Speichern von Ereignissen, Aufgaben
und Informationen, eine Kommandozeilenschnittstelle für das Betrachten der Ereignisse
und Aufgaben in einer Vielzahl von bequemen Wegen und eine wx(Python) basierte GUI
für das Erstellen und Modifizieren und auch Betrachten der Ereignisse und Aufgaben.
Flexible Zeitbericht werden unterstützt sowohl für Arbeitszeit als auch Freizeit.
Weiterhin wird ein Alarm und die Wiederholung von Ereignissen und Aufgaben unterstützt.

%prep
%setup -q -n %{name}-%version


%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=%buildroot 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=ETM
Comment=Event and Task Manager
Comment[de]=Ereignis- und Aufgabenmanager
Exec=python /usr/bin/e.pyw
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Office;X-MandrivaLinux-Office-Accessories;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 etm/etmlogo_32x32x32.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/etm.png
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/etm.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/etm.png

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root)
# %doc etm.egg-info/*
%_bindir/e.py
%_bindir/e.pyw
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/etm.png
%py_sitedir/%{name}
# %py_sitedir/ez_setup.*
%py_sitedir/*.egg-info

%changelog
* Fri Aug 16 2013 billybot <billybot> 891-2pclos2013
- update python 2.7

* Mon Jun 04 2012 Neal <nealbrks0 at gmail dot com> 891-1pclos2012
- process

* Mon Jun 04 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 891-1pclos2012
- 891
- added german summary, description and comment in desktop file
- fixed files section see commented things

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 639-2pclos2010
- Update

* Mon Jul 08 2010 slick50 <lxgator@gmail.com> 639-1pclos2010
- 639

* Sat Jun 12 2010 slick50 <lxgator@gmail.com> 616-1pclos2010
- 616

* Mon Jun 07 2010 slick50 <lxgator@gmail.com> 611-1pclos2010
- 611

* Sun Mar 14 2010 slick50 <lxgator@gmail.com> 556-1pclos2010
- 556

* Fri Feb 26 2010 slick50 <lxgator@gmail.com> 553-1pclos2010
- 553

* Sun Feb 14 2010 slick50 <lxgator@gmail.com> 532-1pclos2010
- 532

* Wed Feb 10 2010 slick50 <lxgator@gmail.com> 526-1pclos2010
- 526

* Sat Feb 06 2010 slick50 <lxgator@gmail.com> 522-1pclos2010
- 522

* Tue Feb 02 2010 slick50 <lxgator@gmail.com> 520-1pclos2010
- 520

* Fri Jan 22 2010 slick50 <lxgator@gmail.com> 508-1pclos2010
- 508

* Sun Jan 17 2010 slick50 <lxgator@gmail.com> 503-1pclos2010
- 503

* Sun Jan 17 2010 slick50 <lxgator@gmail.com> 493-1pclos2010
- 493

* Thu Jan 07 2010 slick50 <lxgator@gmail.com> 463-1pclos2010
- 463

* Thu Dec 17 2009 slick50 <lxgator@gmail.com> 424-1pclos2010
- 424

* Wed Dec 02 2009 slick50 <lxgator@gmail.com> 400-1pclos2010
- initial pkg

